## python-blosc 1.4.4+ds1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-blosc.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-blosc.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-blosc"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-blosc"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-blosc (1.4.4+ds1-5) unstable; urgency=medium

  * deb/control: bump standards version to 4.1.3 (no further changes needed).
  * deb/copyright: expand copyright span.
  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

 -- Daniel Stender <stender@debian.org>  Mon, 19 Feb 2018 12:59:09 +0100

python-blosc (1.4.4+ds1-4) unstable; urgency=medium

  * add temporarily-disable-numpydoc.patch (Closes: #869195).
  * deb/control:
    + add DPMT as Uploaders.
    + update Vcs fields (package source moved to python-modules).
  * deb/gbp.conf:
    + set debian-branch to meet DEP-14.
    + add sign-tags set to True.

 -- Daniel Stender <stender@debian.org>  Fri, 25 Aug 2017 10:05:48 +0200

python-blosc (1.4.4+ds1-3) unstable; urgency=medium

  * Uploaded to unstable.
  * deb/control:
    + drop build-deps on python-setuptools-scm (not needed).
  * catch-cpuinfo-import-error.patch:
    + improved description text.

 -- Daniel Stender <stender@debian.org>  Sun, 18 Dec 2016 00:14:01 +0100

python-blosc (1.4.4+ds1-2) experimental; urgency=medium

  * Add catch-cpuinfo-import-error.patch.

 -- Daniel Stender <stender@debian.org>  Sat, 17 Dec 2016 22:09:26 +0100

python-blosc (1.4.4+ds1-1) experimental; urgency=medium

  * Initial release (Closes: #834777).

 -- Daniel Stender <stender@debian.org>  Mon, 05 Sep 2016 20:55:23 +0200

=== debian/control ===
Source: python-blosc
Section: python
Priority: optional
Maintainer: Daniel Stender <stender@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all-dev,
 python3-all-dev,
 python-setuptools,
 python3-setuptools,
 libblosc-dev,
 python-numpy,
 python3-numpy,
 python-docutils,
 links,
 python3-sphinx,
# python3-numpydoc, #869195
 python-mock,
 python3-mock
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-blosc
Vcs-Git: https://salsa.debian.org/python-team/modules/python-blosc.git
Homepage: https://github.com/Blosc/python-blosc
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-blosc
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Suggests:
 python-blosc-doc
Description: Python bindings for the Blosc meta-compressor
 Blosc (http://blosc.org) is a high performance compressor optimized for
 binary data. It has been designed to transmit data to the processor cache
 faster than the traditional, non-compressed, direct memory fetch approach
 via a memcpy() OS call.
 .
 This package provides the official Python bindings in the Python 2 import
 path.

Package: python3-blosc
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-blosc-doc
Description: Python 3 bindings for the Blosc meta-compressor
 Blosc (http://blosc.org) is a high performance compressor optimized for
 binary data. It has been designed to transmit data to the processor cache
 faster than the traditional, non-compressed, direct memory fetch approach
 via a memcpy() OS call.
 .
 This package provides the official Python bindings in the Python 3 import
 path.

Package: python-blosc-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python-blosc,
 python3-blosc
Description: Python bindings for the Blosc meta-compressor (docs)
 Blosc (http://blosc.org) is a high performance compressor optimized for
 binary data. It has been designed to transmit data to the processor cache
 faster than the traditional, non-compressed, direct memory fetch approach
 via a memcpy() OS call.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=blosc
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export BLOSC_DIR=/usr

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N doc/ debian/python-blosc-doc/usr/share/doc/python-blosc-doc/html/

override_dh_installdocs:
	rst2html -r 5 README.rst .pybuild/README.html
	LANG=C.UTF-8 links -dump .pybuild/README.html > .pybuild/README
	dh_installdocs -A .pybuild/README

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES.rst

## python-blosc 1.5.1+ds1

=== debian/changelog ===
python-blosc (1.5.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: pull numpydoc to build-deps.
  * deb/copyright: expand copyright span.
  * deb/rules: build extension inplace for docs.
  * deb/clean: add inplace extension to cleans.

 -- Daniel Stender <stender@debian.org>  Tue, 20 Mar 2018 18:06:02 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python-docutils,
  links,
  python3-sphinx,
-# python3-numpydoc, #869195
+ python3-numpydoc,
  python-mock,
  python3-mock
 Standards-Version: 4.1.3

## python-blosc 1.5.1+ds2

=== debian/changelog ===
python-blosc (1.5.1+ds2-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 12:36:38 +0000

python-blosc (1.5.1+ds2-1) unstable; urgency=medium

  * use python-cpuinfo in the archive instead of vendored file:
    + add cpuinfo.py to Files-Excluded in deb/copyright.
    + drop license paragraph in deb/copyright.
    + add python{,3}-cpuinfo to build deps in deb/control.
  * deb/control:
    + add psutil to build deps (needed by tests).
    + bump standards to 4.1.4 (no changes needed).
    + add numpy to Recommends (needed for running the tests).
  * add DEP-8 testsuite.

 -- Daniel Stender <stender@debian.org>  Tue, 01 May 2018 17:20:46 +0200

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,20 @@
  python3-all-dev,
  python-setuptools,
  python3-setuptools,
+ python-cpuinfo,
+ python3-cpuinfo,
  libblosc-dev,
  python-numpy,
  python3-numpy,
+ python-psutil,
+ python3-psutil,
  python-docutils,
  links,
  python3-sphinx,
  python3-numpydoc,
  python-mock,
  python3-mock
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-blosc
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-blosc.git
 Homepage: https://github.com/Blosc/python-blosc
@@ -32,6 +36,8 @@
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends},
+Recommends:
+ python-numpy
 Suggests:
  python-blosc-doc
 Description: Python bindings for the Blosc meta-compressor
@@ -49,6 +55,8 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+Recommends:
+ python3-numpy
 Suggests:
  python-blosc-doc
 Description: Python 3 bindings for the Blosc meta-compressor

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	python3 setup.py build_ext -i
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N doc/ debian/python-blosc-doc/usr/share/doc/python-blosc-doc/html/
 
 override_dh_installdocs:

## python-blosc 1.7.0%2Bds1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Daniel Stender <stender@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all-dev,
  python3-all-dev,
@@ -13,22 +13,20 @@
  python-cpuinfo,
  python3-cpuinfo,
  libblosc-dev,
- python-numpy,
- python3-numpy,
- python-psutil,
- python3-psutil,
- python-docutils,
- links,
- python3-sphinx,
- python3-numpydoc,
- python-mock,
- python3-mock
-Standards-Version: 4.1.4
+ python-numpy <!nocheck>,
+ python3-numpy <!nocheck>,
+ python-psutil <!nocheck>,
+ python3-psutil <!nocheck>,
+ python-docutils <!nodoc>,
+ links <!nodoc>,
+ python3-sphinx <!nodoc>,
+ python3-numpydoc <!nodoc>,
+ python-mock <!nocheck>,
+ python3-mock <!nocheck>
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-blosc
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-blosc.git
 Homepage: https://github.com/Blosc/python-blosc
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
 
 Package: python-blosc
 Architecture: any
@@ -71,6 +69,7 @@
 Package: python-blosc-doc
 Architecture: all
 Section: doc
+Build-Profiles: <!nodoc>
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=blosc
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export BLOSC_DIR=/usr

%:
ifeq (,$(filter nodoc, $(DEB_BUILD_PROFILES)))
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python2,python3 --buildsystem=pybuild
endif

override_dh_auto_install:
	dh_auto_install
ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
	python3 setup.py build_ext -i
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N doc/ debian/python-blosc-doc/usr/share/doc/python-blosc-doc/html/
endif

override_dh_installdocs:
ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
	rst2html -r 5 README.rst .pybuild/README.html
	LANG=C.UTF-8 links -dump .pybuild/README.html > .pybuild/README
endif
	dh_installdocs -A .pybuild/README

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES.rst

## python-blosc 1.7.0+ds1

=== debian/changelog ===
python-blosc (1.7.0+ds1-2ubuntu2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:45:32 +0100

python-blosc (1.7.0+ds1-2ubuntu1) focal; urgency=medium

  * platform.linux_distribution is gone in 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Nov 2019 18:54:52 +0100

python-blosc (1.7.0+ds1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937616

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Nov 2019 22:28:08 -0500

python-blosc (1.7.0+ds1-1) unstable; urgency=medium

  * New upstream release:
    + drop py2-coding-headers.patch (applied upstream).
  * deb/control:
    + bump standards to 4.3.0 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Sat, 29 Dec 2018 13:09:16 +0100

python-blosc (1.6.2+ds1-2) unstable; urgency=medium

  * restore (and unfuzz) catch-cpuinfo-import-error.patch.

 -- Daniel Stender <stender@debian.org>  Sun, 18 Nov 2018 23:23:50 +0100

python-blosc (1.6.2+ds1-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + bump standards to 4.2.1 (no further changes needed).
  * deb/copyright:
    + expand copyright span.
  * deb/rules:
    + build with DH_VERBOSE=1 (according to policy 4.2.0).
    + drop unnecessary export line for DEB_BUILD_OPTIONS.
    + build with hardening=+all.
    + add checks for "nodoc" build option in related overrides.
  * drop debian/patches/catch-cpuinfo-import-error.patch (obsolete).
  * drop temporarily-disable-numpydoc.patch (not needed anymore).
  * add py2-coding-headers.patch
  * use build profile switches:
    + add !nodoc and !nocheck switches to b-deps in d/control.
    + add Build-Profiles field to docs package in d/control.
    + add check for nodoc in DEB_BUILD_PROFILES to dh sequencer call in d/rules,
      skip sphinxdoc extension accordingly.
  * build with dh level 11 (changes in d/compat and d/control).

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

 -- Daniel Stender <stender@debian.org>  Sun, 18 Nov 2018 22:07:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,48 +4,23 @@
 Maintainer: Daniel Stender <stender@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
- python-all-dev,
  python3-all-dev,
- python-setuptools,
  python3-setuptools,
- python-cpuinfo,
  python3-cpuinfo,
  libblosc-dev,
- python-numpy <!nocheck>,
  python3-numpy <!nocheck>,
- python-psutil <!nocheck>,
  python3-psutil <!nocheck>,
- python-docutils <!nodoc>,
+ python3-docutils <!nodoc>,
  links <!nodoc>,
  python3-sphinx <!nodoc>,
  python3-numpydoc <!nodoc>,
- python-mock <!nocheck>,
  python3-mock <!nocheck>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-blosc
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-blosc.git
 Homepage: https://github.com/Blosc/python-blosc
-
-Package: python-blosc
-Architecture: any
-Depends:
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Recommends:
- python-numpy
-Suggests:
- python-blosc-doc
-Description: Python bindings for the Blosc meta-compressor
- Blosc (http://blosc.org) is a high performance compressor optimized for
- binary data. It has been designed to transmit data to the processor cache
- faster than the traditional, non-compressed, direct memory fetch approach
- via a memcpy() OS call.
- .
- This package provides the official Python bindings in the Python 2 import
- path.
 
 Package: python3-blosc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,9 @@
 
 %:
 ifeq (,$(filter nodoc, $(DEB_BUILD_PROFILES)))
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 else
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 endif
 
 override_dh_auto_install:

=== debian/tests/control ===
Tests: python3-blosc
Depends: python3-blosc, python3-all, python3-numpy, python3-psutil

## python-blosc 1.8.1+ds1

=== debian/changelog ===
python-blosc (1.8.1+ds1-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team Upload.
  * d/salsa-ci-yml: enable salsa-ci.
  * d/control: Add DPMT as Maintainer and add
    me as Uploaders (Closes: #945189).
    - d/copyright: add me on copyright file.
  * d/tests/python3-blosc: use pyversion -s instead of parameter -i
    to test all installed versions.

  [ Tristan Seligmann ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper-compat to 13.
  * Switch to dh-sequence-*.
  * Declare rootless build.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 02 Aug 2020 18:10:04 +0200

python-blosc (1.8.1+ds1-1) unstable; urgency=medium

  * QA upload
  * New upstream version 1.8.1+ds1
  * Create 0002-platform-linux_distribution-is-gone-in-python-3.8.patch
    closes: #944320
  * Added minimum version on libblosc-dev in b-d
  * Bump dh to 12
  * Remove python2 package under recommends, for doc package.
  * Change copyright from Expat to BSD-3 for upstream files.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 13 Dec 2019 23:40:55 +0100

python-blosc (1.7.0+ds1-3) unstable; urgency=medium

  * Orphaning package.

 -- Daniel Stender <stender@debian.org>  Thu, 21 Nov 2019 00:44:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: python-blosc
 Section: python
 Priority: optional
-Maintainer: Daniel Stender <stender@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>
 Build-Depends:
- debhelper-compat (= 11),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  python3-all-dev,
  python3-setuptools,
  python3-cpuinfo,
- libblosc-dev,
+ libblosc-dev (>= 1.16),
  python3-numpy <!nocheck>,
  python3-psutil <!nocheck>,
  python3-docutils <!nodoc>,
@@ -17,10 +18,11 @@
  python3-sphinx <!nodoc>,
  python3-numpydoc <!nodoc>,
  python3-mock <!nocheck>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-blosc
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-blosc.git
 Homepage: https://github.com/Blosc/python-blosc
+Rules-Requires-Root: no
 
 Package: python3-blosc
 Architecture: any
@@ -49,7 +51,6 @@
  ${misc:Depends},
  ${sphinxdoc:Depends}
 Recommends:
- python-blosc,
  python3-blosc
 Description: Python bindings for the Blosc meta-compressor (docs)
  Blosc (http://blosc.org) is a high performance compressor optimized for

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,7 @@
 export BLOSC_DIR=/usr
 
 %:
-ifeq (,$(filter nodoc, $(DEB_BUILD_PROFILES)))
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
-else
-	dh $@ --with python3 --buildsystem=pybuild
-endif
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install

## python-blosc 1.9.2%2Bds1

=== debian/control ===
Source: python-blosc
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Emmanuel Arias <eamanu@yaerobi.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 libblosc-dev (>= 1.16),
 links <!nodoc>,
 python3-all-dev,
 python3-cpuinfo,
 python3-docutils <!nodoc>,
 python3-mock <!nocheck>,
 python3-numpy <!nocheck>,
 python3-numpydoc <!nodoc>,
 python3-psutil <!nocheck>,
 python3-setuptools,
 python3-skbuild,
 python3-sphinx <!nodoc>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-blosc
Vcs-Git: https://salsa.debian.org/python-team/packages/python-blosc.git
Homepage: https://github.com/Blosc/python-blosc
Rules-Requires-Root: no

Package: python3-blosc
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-numpy,
Suggests:
 python-blosc-doc,
Description: Python 3 bindings for the Blosc meta-compressor
 Blosc (http://blosc.org) is a high performance compressor optimized for
 binary data. It has been designed to transmit data to the processor cache
 faster than the traditional, non-compressed, direct memory fetch approach
 via a memcpy() OS call.
 .
 This package provides the official Python bindings in the Python 3 import
 path.

Package: python-blosc-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 python3-blosc,
Description: Python bindings for the Blosc meta-compressor (docs)
 Blosc (http://blosc.org) is a high performance compressor optimized for
 binary data. It has been designed to transmit data to the processor cache
 faster than the traditional, non-compressed, direct memory fetch approach
 via a memcpy() OS call.
 .
 This package provides the documentation.

## python-blosc 1.9.2+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11.0)
project(python-blosc)
find_package(PythonExtensions REQUIRED)

# Todo: c-blosc provides a CMake package configuration file that we can build
# against if blosc is available on the system, etc.
# find_package(blosc)
# if(NOT blosc_FOUND)
set(BUILD_STATIC ON CACHE BOOL "Build a static version of the blosc library.")
set(BUILD_SHARED OFF CACHE BOOL "Build a shared library version of the blosc library.")
set(BUILD_TESTS OFF CACHE BOOL "Build test programs form the blosc compression library")
set(BUILD_BENCHMARKS OFF CACHE BOOL "Build benchmark programs form the blosc compression library")
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
add_subdirectory(c-blosc)

add_library(blosc_extension MODULE blosc/blosc_extension.c)
target_link_libraries(blosc_extension blosc_static)
python_extension_module(blosc_extension)
install(TARGETS blosc_extension LIBRARY DESTINATION blosc)

=== doc/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -n -v -v
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
@@ -14,8 +14,7 @@
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
-
+.PHONY: help
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html       to make standalone HTML files"
@@ -25,53 +24,68 @@
 	@echo "  json       to make JSON files"
 	@echo "  htmlhelp   to make HTML files and a HTML help project"
 	@echo "  qthelp     to make HTML files and a qthelp project"
+	@echo "  applehelp  to make an Apple Help Book"
 	@echo "  devhelp    to make HTML files and a Devhelp project"
 	@echo "  epub       to make an epub"
+	@echo "  epub3      to make an epub3"
 	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
 	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
+	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
 	@echo "  text       to make text files"
 	@echo "  man        to make manual pages"
 	@echo "  texinfo    to make Texinfo files"
 	@echo "  info       to make Texinfo files and run them through makeinfo"
 	@echo "  gettext    to make PO message catalogs"
 	@echo "  changes    to make an overview of all changed/added/deprecated items"
+	@echo "  xml        to make Docutils-native XML files"
+	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
-
+	@echo "  coverage   to run coverage check of the documentation (if enabled)"
+	@echo "  dummy      to check syntax errors of document sources"
+
+.PHONY: clean
 clean:
-	-rm -rf $(BUILDDIR)/*
-
+	rm -rf $(BUILDDIR)/*
+
+.PHONY: html
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
+.PHONY: dirhtml
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
 
+.PHONY: singlehtml
 singlehtml:
 	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
 	@echo
 	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
 
+.PHONY: pickle
 pickle:
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
 	@echo
 	@echo "Build finished; now you can process the pickle files."
 
+.PHONY: json
 json:
 	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
 	@echo
 	@echo "Build finished; now you can process the JSON files."
 
+.PHONY: htmlhelp
 htmlhelp:
 	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in $(BUILDDIR)/htmlhelp."
 
+.PHONY: qthelp
 qthelp:
 	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
 	@echo
@@ -81,6 +95,16 @@
 	@echo "To view the help file:"
 	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-blosc.qhc"
 
+.PHONY: applehelp
+applehelp:
+	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
+	@echo
+	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
+	@echo "N.B. You won't be able to view it unless you put it in" \
+	      "~/Library/Documentation/Help or install it in your application" \
+	      "bundle."
+
+.PHONY: devhelp
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
@@ -90,11 +114,19 @@
 	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-blosc"
 	@echo "# devhelp"
 
+.PHONY: epub
 epub:
 	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
 	@echo
 	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
 
+.PHONY: epub3
+epub3:
+	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
+	@echo
+	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."
+
+.PHONY: latex
 latex:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
@@ -102,22 +134,33 @@
 	@echo "Run \`make' in that directory to run these through (pdf)latex" \
 	      "(use \`make latexpdf' here to do that automatically)."
 
+.PHONY: latexpdf
 latexpdf:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through pdflatex..."
 	$(MAKE) -C $(BUILDDIR)/latex all-pdf
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
 
+.PHONY: latexpdfja
+latexpdfja:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo "Running LaTeX files through platex and dvipdfmx..."
+	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
+	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
+
+.PHONY: text
 text:
 	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
 	@echo
 	@echo "Build finished. The text files are in $(BUILDDIR)/text."
 
+.PHONY: man
 man:
 	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
 	@echo
 	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
 
+.PHONY: texinfo
 texinfo:
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
 	@echo
@@ -125,29 +168,58 @@
 	@echo "Run \`make' in that directory to run these through makeinfo" \
 	      "(use \`make info' here to do that automatically)."
 
+.PHONY: info
 info:
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
 	@echo "Running Texinfo files through makeinfo..."
 	make -C $(BUILDDIR)/texinfo info
 	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."
 
+.PHONY: gettext
 gettext:
 	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
 	@echo
 	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."
 
+.PHONY: changes
 changes:
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
 	@echo
 	@echo "The overview file is in $(BUILDDIR)/changes."
 
+.PHONY: linkcheck
 linkcheck:
 	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in $(BUILDDIR)/linkcheck/output.txt."
 
+.PHONY: doctest
 doctest:
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
+
+.PHONY: coverage
+coverage:
+	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
+	@echo "Testing of coverage in the sources finished, look at the " \
+	      "results in $(BUILDDIR)/coverage/python.txt."
+
+.PHONY: xml
+xml:
+	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
+	@echo
+	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."
+
+.PHONY: pseudoxml
+pseudoxml:
+	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
+	@echo
+	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
+
+.PHONY: dummy
+dummy:
+	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
+	@echo
+	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-blosc (1.9.2+ds1-3) unstable; urgency=medium

  * Team upload
  * Deactivate SSE2 and AVX2 if CPU has no flags (Closes: #976910)
  * Explicitly set PYBUILD_SYSTEM=distutils to avoid misdetection
  * Mark python-blosc-doc Multi-Arch: foreign
  * Bump Standards-Version to 4.5.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Fri, 01 Jan 2021 00:03:56 +0000

python-blosc (1.9.2+ds1-2) unstable; urgency=medium

  * d/rules: Find cmake files shipped in python3-skbuild.
    - Patch by Matthias Klose.
  * d/rules: override build/install-arch target.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Fri, 11 Dec 2020 18:08:25 -0300

python-blosc (1.9.2+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Emmanuel Arias ]
  * New upstream version 1.9.2+ds1
  * d/patches: Update patches:
    - Remove not longer applied patches.
    - Add patch to build python-blosc using the libblosc library.
    - Skip test until new upstream realse of c-blosc.
  * d/control: add python3-skbuild build-dependency.
  * wrap-and-sort.
  * d/control: Update my contact information.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 12 Nov 2020 17:11:49 -0300

python-blosc (1.8.1+ds1-2.1) unstable; urgency=medium

   * Non-maintainer upload.
   * Fix tests with Python 3.9. Closes: #973022.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Nov 2020 09:35:22 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,33 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 export PYBUILD_NAME=blosc
+export PYBUILD_SYSTEM=distutils
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export BLOSC_DIR=/usr
+export BLOSC_DIR=/usr/lib
+export DEB_RULES_REQUIRES_ROOT=no
+
+export CMAKE_MODULE_PATH = /usr/lib/python3/dist-packages/skbuild/resources/cmake
 
 %:
-	dh $@ --buildsystem=pybuild
+	dh $@ --with=python3 --buildsystem=pybuild
+
+override_dh_auto_build-arch:
+	# pass
+
+override_dh_auto_build:
+	# pass
+
+override_dh_auto_install-arch: override_dh_auto_install
+	# pass
 
 override_dh_auto_install:
-	dh_auto_install
 ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
 	python3 setup.py build_ext -i
 	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N doc/ debian/python-blosc-doc/usr/share/doc/python-blosc-doc/html/
 endif
+	set -e ; for pyver in $(shell py3versions -rv); do \
+		python$$pyver setup.py install --root=$(CURDIR)/debian/python3-blosc --install-layout=deb ; \
+	done;
 
 override_dh_installdocs:
 ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))

## python-blosc 1.10.6+ds1

=== blosc/CMakeLists.txt ===
add_library(blosc_extension MODULE blosc_extension.c)

if(USE_SYSTEM_BLOSC)
    set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
    find_package(Blosc REQUIRED)
    target_include_directories(blosc_extension PRIVATE ${Blosc_INCLUDE_DIRS})
    target_link_libraries(blosc_extension ${Blosc_LIBRARIES})
else()
    set(BUILD_STATIC ON CACHE BOOL "Build a static version of the blosc library.")
    set(BUILD_SHARED ON CACHE BOOL "Build a shared library version of the blosc library.")
    set(BUILD_TESTS OFF CACHE BOOL "Build test programs form the blosc compression library")
    set(BUILD_BENCHMARKS OFF CACHE BOOL "Build benchmark programs form the blosc compression library")
    set(BLOSC_IS_SUBPROJECT OFF CACHE BOOL "Blosc is subproject")
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
    add_subdirectory(c-blosc)
    include_directories("${CMAKE_CURRENT_SOURCE_DIR}/c-blosc/blosc")
    target_link_libraries(blosc_extension blosc_static)
endif()



python_extension_module(blosc_extension)

add_custom_command(
    TARGET blosc_extension POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:blosc_extension> ${CMAKE_SOURCE_DIR}/blosc
)

install(TARGETS blosc_extension LIBRARY DESTINATION blosc)

=== debian/changelog ===
python-blosc (1.10.6+ds1-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: Remove 0001-Add-patch-to-use-libblosc.patch and
    0002-Skip-test-until-new-upstream-release-on-Debian.patch they are not
    longer needed.
    - Rename patch 0003-Deactivate-SSE2-AVX2-if-no-flags.patch =>
      0001-Deactivate-SSE2-AVX2-if-no-flags.patch. Also, updated it.
  * d/control: Bump Standards-Version to 4.6.0.1. No changes needed.
  * d/rules: Update the build process from upstream. Now build using the
    libblosc-dev package installed.
    * d/rules: Remove BLOSC_DIR variable, it's no longer needed.
  * d/watch: Bump version to 4.
  * d/upstream/metadata: Add Repository and Repository-Browse information.
  * d/copyright: Exclude dotzlib folder that contains non free files.
    - Remove from Files-Excluded: appveyor and c-blosc, they aren't in
    upstream tarball.
    - Repack without dotzlib folder.
  * d/python3-blosc.examples: Install examples under /blosc/c-blosc/examples.
  * d/copyright: Fix copyright debian files. Remove my name from
    blosc/toplevel.py and put in in the correct place in debian/* files
    section.
    - Update copyright year for debian/* files.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 17 May 2022 17:27:56 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-setuptools,
  python3-skbuild,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-blosc
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-blosc.git
 Homepage: https://github.com/Blosc/python-blosc

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*\/)?v?(\d[\d\.]+)\.tar\.gz/python-blosc-$1.tar.gz/,\
dversionmangle=s/\+ds1\d*$//,\
repacksuffix=+ds1 \
https://github.com/Blosc/python-blosc/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz

## python-blosc 1.11.1%2Bds1

=== requirements.txt ===
numpy>=1.16
scikit-build>=0.11.1
cmake>=3.14.0

## python-blosc 1.11.1+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11.0)
project(python-blosc)
find_package(PythonExtensions REQUIRED)

add_subdirectory(blosc)

=== blosc/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,10 @@
 else()
     set(BUILD_STATIC ON CACHE BOOL "Build a static version of the blosc library.")
     set(BUILD_SHARED ON CACHE BOOL "Build a shared library version of the blosc library.")
-    set(BUILD_TESTS OFF CACHE BOOL "Build test programs form the blosc compression library")
-    set(BUILD_BENCHMARKS OFF CACHE BOOL "Build benchmark programs form the blosc compression library")
+    set(BUILD_TESTS OFF CACHE BOOL "Build C-Blosc tests")
+    set(BUILD_EXAMPLES OFF CACHE BOOL "Build C-Blosc examples")
+    set(BUILD_BENCHMARKS OFF CACHE BOOL "Build C-Blosc benchmarks")
+    set(BUILD_FUZZERS OFF CACHE BOOL "Build C-Blosc fuzzers")
     set(BLOSC_IS_SUBPROJECT OFF CACHE BOOL "Blosc is subproject")
     set(CMAKE_POSITION_INDEPENDENT_CODE ON)
     add_subdirectory(c-blosc)

=== debian/changelog ===
python-blosc (1.11.1+ds1-2) unstable; urgency=medium

  * Team Upload
  * remove extraneous dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Wed, 13 Mar 2024 01:36:25 +0100

python-blosc (1.11.1+ds1-1) unstable; urgency=medium

  * d/watch: Fix url to download the upstream releases.
  * New upstream version.
  * d/copyright: Update copyright for upstream files.
    - Remove entry blosc/toplevel.py this have the same copyright of all files
    of upstream.
    - Update the Upstream-Contact information.
  * d/control: Add python3-pydata-sphinx-theme as Build Depends.
    - run wrap-and-sort.
  * d/python3-blosc.examples: Remove file, there are no more examples in
    upstream package.
  * d/control: Bumpt Standards-Version to 4.6.2 (from 4.6.0.1; no further
    changes neede).
  * d/patches: Update 0001-Deactivate-SSE2-AVX2-if-no-flags.patch patch.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 29 Dec 2022 13:04:47 -0300

=== debian/control ===
Source: python-blosc
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               libblosc-dev (>= 1.16),
               links <!nodoc>,
               python3-all-dev,
               python3-cpuinfo,
               python3-docutils <!nodoc>,
               python3-numpy <!nocheck>,
               python3-numpydoc <!nodoc>,
               python3-psutil <!nocheck>,
               python3-pydata-sphinx-theme <!nodoc>,
               python3-setuptools,
               python3-skbuild,
               python3-sphinx <!nodoc>,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-blosc
Vcs-Git: https://salsa.debian.org/python-team/packages/python-blosc.git
Homepage: https://github.com/Blosc/python-blosc
Rules-Requires-Root: no

Package: python3-blosc
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: python3-numpy,
Suggests: python-blosc-doc,
Description: Python 3 bindings for the Blosc meta-compressor
 Blosc (http://blosc.org) is a high performance compressor optimized for
 binary data. It has been designed to transmit data to the processor cache
 faster than the traditional, non-compressed, direct memory fetch approach
 via a memcpy() OS call.
 .
 This package provides the official Python bindings in the Python 3 import
 path.

Package: python-blosc-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Build-Profiles: <!nodoc>
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Recommends: python3-blosc,
Description: Python bindings for the Blosc meta-compressor (docs)
 Blosc (http://blosc.org) is a high performance compressor optimized for
 binary data. It has been designed to transmit data to the processor cache
 faster than the traditional, non-compressed, direct memory fetch approach
 via a memcpy() OS call.
 .
 This package provides the documentation.

## python-blosc 1.11.2+ds1

=== debian/changelog ===
python-blosc (1.11.2+ds1-3) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * remove old ref. to distutils

  [ Timo Röhling ]
  * Fix autopkgtest regression with NumPy 2.3 (Closes: #1116438)

 -- Timo Röhling <roehling@debian.org>  Thu, 02 Oct 2025 18:27:07 +0200

python-blosc (1.11.2+ds1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with fixed pydata_sphinx_theme (Closes: #1086006)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 14:48:42 +0100

python-blosc (1.11.2+ds1-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: Remove patches they are not longer needed.
  * d/control: Change my contact information. Also update it in d/copyright.
  * d/patches/remove-privacy-breach.patch: Add patch to remove privacy breach.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 10 Aug 2024 10:44:28 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
+Uploaders: Emmanuel Arias <eamanu@debian.org>,
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-sequence-python3,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=blosc
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_RULES_REQUIRES_ROOT=no
export CMAKE_MODULE_PATH = /usr/lib/python3/dist-packages/skbuild/resources/cmake

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build-arch: override_dh_auto_build
	# pass

override_dh_auto_build:
	set -e ; for pyver in $(shell py3versions -sv); do \
		python$$pyver setup.py build -DUSE_SYSTEM_BLOSC:BOOL=YES -DBlosc_ROOT:PATH=/usr/lib/libblosc ; \
	done;

override_dh_auto_install-arch: override_dh_auto_install
	# pass

override_dh_auto_install:
ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N doc/ debian/python-blosc-doc/usr/share/doc/python-blosc-doc/html/
endif
	set -e ; for pyver in $(shell py3versions -rv); do \
		python$$pyver setup.py install -DUSE_SYSTEM_BLOSC:BOOL=YES -DBlosc_ROOT:PATH=/usr/lib/libblosc --root=$(CURDIR)/debian/python3-blosc --install-layout=deb ; \
	done;

override_dh_installdocs:
ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
	rst2html -r 5 README.rst .pybuild/README.html
	LANG=C.UTF-8 links -dump .pybuild/README.html > .pybuild/README
endif
	dh_installdocs -A .pybuild/README

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES.rst

=== debian/tests/control ===
Tests: python3-blosc
Depends:
 python3-all,
 python3-blosc,
 python3-numpy,
 python3-psutil,

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*\/)?v?(\d[\d\.]+)\.tar\.gz/python-blosc-$1.tar.gz/,\
dversionmangle=s/\+ds1\d*$//,\
repacksuffix=+ds1 \
https://github.com/Blosc/python-blosc/tags (?:.*/)?v?(\d[\d\.]+)\.tar\.gz
